extends Control

@onready var main_menu_button : Button = get_node("%MainMenu")

func _ready() -> void:
	visible = false
	main_menu_button.connect("pressed", Callable(self, "on_main_menu_pressed"))

func _process(_delta : float) -> void:
	if GameState.game_over == true:
		visible = true

func on_main_menu_pressed() -> void:
	GameState.reset()
	SceneMgr.load_scene("MAINMENU")